---
references:
- id: BarberBayesian2012
  author:
    - family: Barber
      given: David
  call-number: QA267 .B347 2012
  citation-key: BarberBayesian2012
  event-place: Cambridge ; New York
  ISBN: 978-0-521-51814-7
  issued:
    - year: 2012
  number-of-pages: '697'
  publisher: Cambridge University Press
  publisher-place: Cambridge ; New York
  title: Bayesian reasoning and machine learning
  type: book
  URL: http://www.cs.ucl.ac.uk/staff/d.barber/brml/

- id: BishopPattern2006
  author:
    - family: Bishop
      given: Christopher M.
  call-number: Q327 .B52 2006
  citation-key: BishopPattern2006
  collection-title: Information science and statistics
  event-place: New York
  ISBN: 0-387-31073-8
  issued:
    - year: 2006
  number-of-pages: '738'
  publisher: Springer
  publisher-place: New York
  title: Pattern recognition and machine learning
  type: book

- id: BuntineOperations1994
  accessed:
    - year: 2021
      month: 11
      day: 12
  author:
    - family: Buntine
      given: W. L.
  citation-key: BuntineOperations1994
  container-title: Journal of Artificial Intelligence Research
  DOI: 10.1613/jair.62
  ISSN: 1076-9757
  issue: '1'
  issued:
    - year: 1994
      month: 12
      day: 1
  language: en
  page: 159-225
  title: Operations for Learning with Graphical Models
  type: article-journal
  volume: '2'

- id: CharniakBayesian1991
  author:
    - family: Charniak
      given: Eugene
  citation-key: CharniakBayesian1991
  container-title: AI magazine
  issue: '4'
  issued:
    - year: 1991
  page: '50'
  title: Bayesian Networks without Tears.
  type: article-journal
  volume: '12'

- id: DaCostaBayesian2021
  accessed:
    - year: 2021
      month: 10
      day: 21
  author:
    - family: Da Costa
      given: Lancelot
    - family: Friston
      given: Karl
    - family: Heins
      given: Conor
    - family: Pavliotis
      given: Grigorios A.
  citation-key: DaCostaBayesian2021
  container-title: arXiv:2106.13830 [math-ph, physics:nlin, q-bio]
  issued:
    - year: 2021
      month: 6
      day: 25
  language: en
  title: Bayesian Mechanics for Stationary Processes
  type: article-journal
  URL: http://arxiv.org/abs/2106.13830

- id: DawidConditional1979
  accessed:
    - year: 2017
      month: 8
      day: 2
  author:
    - family: Dawid
      given: A. Philip
  citation-key: DawidConditional1979
  container-title: Journal of the Royal Statistical Society. Series B (Methodological)
  ISSN: 0035-9246
  issue: '1'
  issued:
    - year: 1979
  page: 1–31
  title: Conditional independence in statistical theory
  type: article-journal
  URL: >-
    http://people.csail.mit.edu/tdanford/discovering-causal-graphs-papers/dawid-79.pdf
  volume: '41'

- id: DawidConditional1980
  author:
    - family: Dawid
      given: A. Philip
  citation-key: DawidConditional1980
  container-title: The Annals of Statistics
  container-title-short: Ann. Statist.
  DOI: 10.1214/aos/1176345011
  ISSN: 0090-5364, 2168-8966
  issue: '3'
  issued:
    - year: 1980
      month: 5
  language: EN
  page: 598-617
  title: Conditional Independence for Statistical Operations
  type: article-journal
  volume: '8'

- id: HanlySoftware2023
  accessed:
    - year: 2023
      month: 5
      day: 19
  author:
    - family: Hanly
      given: Mark
    - family: Brew
      given: Bronwyn K
    - family: Austin
      given: Anna
    - family: Jorm
      given: Louisa
  citation-key: HanlySoftware2023
  container-title: International Journal of Epidemiology
  container-title-short: International Journal of Epidemiology
  DOI: 10.1093/ije/dyad038
  ISSN: 0300-5771
  issued:
    - year: 2023
      month: 3
      day: 23
  page: dyad038
  title: >-
    Software Application Profile: The daggle app—a tool to support learning and
    teaching the graphical rules of selecting adjustment variables using
    directed acyclic graphs
  type: article-journal

- id: JiangUncovering2023
  accessed:
    - year: 2023
      month: 11
      day: 15
  author:
    - family: Jiang
      given: Yibo
    - family: Aragam
      given: Bryon
    - family: Veitch
      given: Victor
  citation-key: JiangUncovering2023
  DOI: 10.48550/arXiv.2310.17611
  issued:
    - year: 2023
      month: 10
      day: 26
  number: arXiv:2310.17611
  publisher: arXiv
  title: Uncovering Meanings of Embeddings via Partial Orthogonality
  type: article
  URL: http://arxiv.org/abs/2310.17611

- id: JordanLearning1999
  author:
    - family: Jordan
      given: Michael Irwin
  citation-key: JordanLearning1999
  event-place: Cambridge, Mass.
  ISBN: 0-262-60032-3
  issued:
    - year: 1999
  publisher: MIT Press
  publisher-place: Cambridge, Mass.
  title: Learning in graphical models
  type: book

- id: KollerProbabilistic2009
  author:
    - family: Koller
      given: Daphne
    - family: Friedman
      given: Nir
  citation-key: KollerProbabilistic2009
  event-place: Cambridge, MA
  ISBN: 0-262-01319-3
  issued:
    - year: 2009
  publisher: MIT Press
  publisher-place: Cambridge, MA
  title: 'Probabilistic graphical models : principles and techniques'
  type: book

- id: KosterMarginalizing2002
  accessed:
    - year: 2023
      month: 9
      day: 26
  author:
    - family: Koster
      given: Jan T. A.
  citation-key: KosterMarginalizing2002
  container-title: Bernoulli
  ISSN: 1350-7265
  issue: '6'
  issued:
    - year: 2002
      month: 12
  page: 817-840
  publisher: Bernoulli Society for Mathematical Statistics and Probability
  title: Marginalizing and conditioning in graphical models
  type: article-journal
  URL: >-
    https://projecteuclid.org/journals/bernoulli/volume-8/issue-6/Marginalizing-and-conditioning-in-graphical-models/bj/1076364807.full
  volume: '8'

- id: LauritzenGraphical1996
  author:
    - family: Lauritzen
      given: Steffen L.
  citation-key: LauritzenGraphical1996
  collection-title: Oxford Statistical Science Series
  ISBN: 978-0-19-159122-8
  issued:
    - year: 1996
      month: 5
      day: 2
  language: en
  number-of-pages: '314'
  publisher: Clarendon Press
  title: Graphical Models
  type: book

- id: LevineReinforcement2018
  accessed:
    - year: 2021
      month: 11
      day: 15
  author:
    - family: Levine
      given: Sergey
  citation-key: LevineReinforcement2018
  container-title: arXiv:1805.00909 [cs, stat]
  issued:
    - year: 2018
      month: 5
      day: 20
  language: en
  title: >-
    Reinforcement Learning and Control as Probabilistic Inference: Tutorial and
    Review
  type: article-journal
  URL: http://arxiv.org/abs/1805.00909

- id: MontanariLecture2011
  accessed:
    - year: 2015
      month: 1
      day: 13
  author:
    - family: Montanari
      given: Andrea
  citation-key: MontanariLecture2011
  issued:
    - year: 2011
  title: Lecture Notes for Stat 375 Inference in Graphical Models
  type: manuscript
  URL: >-
    http://www.stanford.edu/~montanar/TEACHING/Stat375/handouts/notes_stat375_1.pdf

- id: MurphyMachine2012
  author:
    - family: Murphy
      given: Kevin P.
  call-number: Q325.5 .M87 2012
  citation-key: MurphyMachine2012
  collection-title: Adaptive computation and machine learning series
  edition: 1 edition
  event-place: Cambridge, MA
  ISBN: 978-0-262-01802-9
  issued:
    - year: 2012
  language: English
  number-of-pages: '1067'
  publisher: MIT Press
  publisher-place: Cambridge, MA
  title: 'Machine learning: a probabilistic perspective'
  type: book

- id: ObermeyerFunctional2020
  accessed:
    - year: 2021
      month: 3
      day: 10
  author:
    - family: Obermeyer
      given: Fritz
    - family: Bingham
      given: Eli
    - family: Jankowiak
      given: Martin
    - family: Phan
      given: Du
    - family: Chen
      given: Jonathan P.
  citation-key: ObermeyerFunctional2020
  container-title: arXiv:1910.10775 [cs, stat]
  issued:
    - year: 2020
      month: 3
      day: 10
  title: Functional Tensors for Probabilistic Programming
  type: article-journal
  URL: http://arxiv.org/abs/1910.10775

- id: PearlCausality2009
  author:
    - family: Pearl
      given: Judea
  citation-key: PearlCausality2009
  ISBN: 0-521-89560-X
  issued:
    - year: 2009
  publisher: Cambridge University Press
  title: 'Causality: Models, Reasoning and Inference'
  type: book

- id: PearlConditional1989
  accessed:
    - year: 2017
      month: 8
      day: 2
  author:
    - family: Pearl
      given: Judea
    - family: Geiger
      given: Dan
    - family: Verma
      given: Thomas
  citation-key: PearlConditional1989
  container-title: Kybernetika
  issue: '7'
  issued:
    - year: 1989
  page: 33–44
  title: Conditional independence and its representations
  type: article-journal
  URL: >-
    http://dml.cz/bitstream/handle/10338.dmlcz/125413/Kybernetika_25-1989-7_6.pdf
  volume: '25'

- id: PearlProbabilistic2008
  author:
    - family: Pearl
      given: Judea
  citation-key: PearlProbabilistic2008
  collection-title: The Morgan Kaufmann series in representation and reasoning
  edition: Rev. 2. print., 12. [Dr.]
  event-place: San Francisco, Calif
  ISBN: 978-1-55860-479-7
  issued:
    - year: 2008
  language: eng
  number-of-pages: '552'
  publisher: Kaufmann
  publisher-place: San Francisco, Calif
  title: >-
    Probabilistic reasoning in intelligent systems: networks of plausible
    inference
  type: book

- id: SadeghiFinite2020
  accessed:
    - year: 2020
      month: 11
      day: 19
  author:
    - family: Sadeghi
      given: Kayvan
  citation-key: SadeghiFinite2020
  container-title: Electronic Journal of Statistics
  container-title-short: Electron. J. Statist.
  DOI: 10.1214/20-EJS1730
  ISSN: 1935-7524
  issue: '2'
  issued:
    - year: 2020
  language: EN
  page: 2773-2797
  publisher: The Institute of Mathematical Statistics and the Bernoulli Society
  title: On finite exchangeability and conditional independence
  type: article-journal
  volume: '14'

- id: SpirtesCausation2001
  author:
    - family: Spirtes
      given: Peter
    - family: Glymour
      given: Clark
    - family: Scheines
      given: Richard
  citation-key: SpirtesCausation2001
  collection-title: Adaptive Computation and Machine Learning
  edition: Second Edition
  ISBN: 0-262-19440-6
  issued:
    - year: 2001
  publisher: The MIT Press
  title: Causation, Prediction, and Search
  type: book
  URL: >-
    https://www.cs.cmu.edu/afs/cs.cmu.edu/project/learn-43/lib/photoz/.g/scottd/fullbook.pdf

- id: WainwrightGraphical2008
  accessed:
    - year: 2014
      month: 8
      day: 16
  author:
    - family: Wainwright
      given: Martin J.
    - family: Jordan
      given: Michael I.
  citation-key: WainwrightGraphical2008
  collection-title: Foundations and Trends® in Machine Learning
  DOI: 10.1561/2200000001
  issued:
    - year: 2008
  publisher: Now Publishers
  title: Graphical models, exponential families, and variational inference
  type: book
  URL: http://www.cs.berkeley.edu/~jordan/papers/wainwright-jordan-fnt.pdf
  volume: '1'

- id: WainwrightVariational2005
  accessed:
    - year: 2015
      month: 1
      day: 31
  author:
    - family: Wainwright
      given: Martin
    - family: Jordan
      given: Michael I
  citation-key: WainwrightVariational2005
  container-title: New Directions in Statistical Signal Processing
  issued:
    - year: 2005
  publisher: MIT Press
  title: A variational principle for graphical models
  type: chapter
  volume: '155'
...
